# \nre\exceptionsIdNotFoundException

Exception: ID not found.

## Summary

Methods
Properties
Constants
__construct()
getId()
No public properties found
CODE
MESSAGE
No protected methods found
No protected properties found
N/A
concat()
$id
N/A

File
  exceptions/IdNotFoundException.inc
Package
  Default
Class hierarchy
  \Exception
  \nre\core\Exception
  \nre\exceptions\IdNotFoundException

## Tags

author | coderkun olli@coderkun.de

## Constants

### CODE

    CODE

Error code

#

## Tags

None found

### MESSAGE

    MESSAGE

Error message

#

## Tags

None found

## Properties

### $id

    $id : mixed

ID that was not found

#### Type

mixed

#

## Tags

None found

## Methods

### __construct()

    __construct(mixed  $id)

Consturct a new exception.

#### Parameters

mixed | $id | ID that was not found

#

## Tags

None found

### getId()

    getId() : mixed

Get the ID that was not found.

#### Returns

mixed —

ID that was not found

#

## Tags

None found

### concat()

    concat(string  $message, string  $name)

Insert the name in a message

#### Parameters

string | $message | Error message
string | $name | Name to insert

#

Inherited from
  \nre\core\Exception

## Tags

None found

### IdNotFoundException.inc